Commit 246bae7e authored by sajolida's avatar sajolida
Browse files

Explain on the download page that Tails Verification is broken in 3.6 and 3.6.1 (#15434)

With some JavaScript to display the message only in Firefox 52.
parent a20b9abe
......@@ -132,6 +132,9 @@ document.addEventListener("DOMContentLoaded", function() {
toggleDisplay(document.getElementsByClassName("no-js"), "hide");
if (browser === "Firefox") {
if (version === 52) {
show(document.getElementById("broken-in-3-6"));
}
if (version >= minVersion.firefox) {
// Supported Firefox
toggleDisplay(document.getElementsByClassName("supported-browser"), "show");
......
......@@ -37,6 +37,11 @@
</div>
<p>Our browser extension makes it quick and easy.</p>
</div>
<div id="broken-in-3-6" class="bug indent inline-block">
<p>Our browser extension is broken in Tails 3.6 and 3.6.1.
Please, use it from Tor Browser outside of Tails, Firefox,
or Chrome instead.</p>
</div>
<div id="install-extension" class="indent">
<a href="https://addons.mozilla.org/firefox/downloads/latest/tails-verification/addon-tails-verification-latest.xpi" class="install-extension-btn supported-browser firefox btn btn-primary inline-block">Install <u>Tails Verification</u> extension</a>
<a class="install-extension-btn supported-browser chrome btn btn-primary inline-block">Install <u>Tails Verification</u> extension</a>
......
......@@ -23,7 +23,8 @@ h1 {
#verification-failed-again,
#skip-download-direct,
#skip-download-bittorrent,
#extension-version {
#extension-version,
#broken-in-3-6 {
display: none;
}
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment